commit:     d0475ea0ffa8bc584bd3b3d9b17f45b310b7bb23
Author:     Luke Dashjr <luke-jr+git <AT> utopios <DOT> org>
AuthorDate: Fri Mar 23 14:11:58 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 31 23:08:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0475ea0

net-p2p/bitcoin-cli: Bump to 0.16.0

 net-p2p/bitcoin-cli/Manifest                  |  2 +
 net-p2p/bitcoin-cli/bitcoin-cli-0.16.0.ebuild | 97 +++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/net-p2p/bitcoin-cli/Manifest b/net-p2p/bitcoin-cli/Manifest
index 7c7216450f4..c6a97f3d9fb 100644
--- a/net-p2p/bitcoin-cli/Manifest
+++ b/net-p2p/bitcoin-cli/Manifest
@@ -1,2 +1,4 @@
 DIST bitcoin-0.15.1.knots20171111.patches.tar.xz 443024 BLAKE2B 
5010c8d0f6a0bc8cd22ca7d7c73d9e4e689e369f0ba39b59f62fa6b6af3dcf938dfc87d33d3fe595a6e54d99734277a34af068dc29a6e984c76d529fbbe2f383
 SHA512 
455fadeac6ad57be111104680ec6939d6bf235eb49cde89b9716d36f6914c255b1b69cdea459d89b1bbca56099e793be0c8d7aacf592a9d78495068297bb5890
+DIST bitcoin-0.16.0.knots20180322.patches.tar.xz 417544 BLAKE2B 
f14616c81e0694346fd0714032be501ad0b58e82e2a5fcc623b1fdd316759ae7ac584e6c4ab586e8c9f5a402694a36eceac6b2f1c7441da655479f832a8869bd
 SHA512 
9eca9cbae8ce17b38ddb70326760e33e7812db78e79cfe2d1a3518b34eb8fc87fe4c145e46ab60278b14e70a75b3af238342b4e1808a77cbca4b62b8c72fb1eb
 DIST bitcoin-v0.15.1.tar.gz 7550228 BLAKE2B 
0cbb7d0e9d0e5e8eb33502a28289c3f9c86b7c531ed179f7e3e8b601a69a423fa736238a2caae890fd8850eb505533995e578e676860a4014922fbc238185ebb
 SHA512 
a09b6cb64a1649d11e3fd6deeb13a07b1bf4bed504a2fc1c585919459ca8ac1af8e5ecc89dee487359e831a8f12625d54f408f95bb341033d6380b82c290c0d9
+DIST bitcoin-v0.16.0.tar.gz 6628305 BLAKE2B 
69adb5832e2a708431c06bd8ce695f25cfc2b84e7ccf11e77f40c8ec273146208c70a900d0d32f79790cf67fb359c2731b0cecfc1f27ac2d0c4057228a83aed3
 SHA512 
7a59de44196a3cd5b75bccfe851e8bd7d5a00ae45b6e771e082326d75846e7c6d1f6d449e18b539b95b25aa12b7b79c462367f1c89438bcd1ca6ec84eb42972c

diff --git a/net-p2p/bitcoin-cli/bitcoin-cli-0.16.0.ebuild 
b/net-p2p/bitcoin-cli/bitcoin-cli-0.16.0.ebuild
new file mode 100644
index 00000000000..dca844f0562
--- /dev/null
+++ b/net-p2p/bitcoin-cli/bitcoin-cli-0.16.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools bash-completion-r1
+
+BITCOINCORE_COMMITHASH="4b4d7eb255ca8f9a94b92479e6061d129c91a991"
+KNOTS_PV="${PV}.knots20180322"
+KNOTS_P="bitcoin-${KNOTS_PV}"
+
+DESCRIPTION="Command-line JSON-RPC client specifically for interfacing with 
bitcoind"
+HOMEPAGE="https://bitcoincore.org/ https://bitcoinknots.org/";
+SRC_URI="
+       
https://github.com/bitcoin/bitcoin/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> 
bitcoin-v${PV}.tar.gz
+       
https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.patches.txz -> 
${KNOTS_P}.patches.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~arm ~arm64 ~mips ~ppc ~x86 ~x86-linux"
+IUSE="knots libressl"
+
+DEPEND="
+       >=dev-libs/boost-1.52.0:=[threads(+)]
+       dev-libs/libevent:=
+       dev-libs/univalue:=
+       !libressl? ( dev-libs/openssl:0=[-bindist] )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( doc/bips.md doc/release-notes.md )
+
+S="${WORKDIR}/bitcoin-${BITCOINCORE_COMMITHASH}"
+
+pkg_pretend() {
+       if use knots; then
+               elog "You are building ${PN} from Bitcoin Knots."
+               elog "For more information, see:"
+               elog 
"https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.desc.html";
+       else
+               elog "You are building ${PN} from Bitcoin Core."
+               elog "For more information, see:"
+               elog "https://bitcoincore.org/en/2017/11/11/release-${PV}/";
+       fi
+}
+
+src_prepare() {
+       local knots_patchdir="${WORKDIR}/${KNOTS_P}.patches/"
+
+       eapply "${knots_patchdir}/${KNOTS_P}.syslibs.patch"
+
+       if use knots; then
+               eapply "${knots_patchdir}/${KNOTS_P}.f.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.branding.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.ts.patch"
+       fi
+
+       eapply_user
+
+       echo '#!/bin/true' >share/genbuild.sh || die
+       mkdir -p src/obj || die
+       echo "#define BUILD_SUFFIX gentoo${PVR#${PV}}" >src/obj/build.h || die
+
+       eautoreconf
+       rm -r src/leveldb src/secp256k1 || die
+}
+
+src_configure() {
+       local my_econf=(
+               --disable-asm
+               --without-qtdbus
+               --with-libevent
+               --without-qrencode
+               --without-miniupnpc
+               --disable-tests
+               --disable-wallet
+               --disable-zmq
+               --enable-util-cli
+               --disable-util-tx
+               --disable-bench
+               --without-libs
+               --without-daemon
+               --without-gui
+               --disable-ccache
+               --disable-static
+               --with-system-univalue
+       )
+       econf "${my_econf[@]}"
+}
+
+src_install() {
+       default
+
+       newbashcomp contrib/bitcoin-cli.bash-completion ${PN}
+}

Reply via email to